Models
Get model asset credentials
Retrieves temporary credentials for accessing the storage backing the specified model version.
Параметры запроса
api-version
string
обязательно
The API version to use for this operation.
Параметры заголовка
Foundry-Features
enum
обязательно
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Параметры пути
name
string
обязательно
Name of the model.
version
string
обязательно
Version of the model.
Текст запроса
The credential request request body.
blobUri
string
обязательно
Blob URI of the model asset to fetch credentials for.
Ответы
The request has succeeded.
Текст
blobReference
BlobReference
обязательно
Blob reference details.
blobUri
string
обязательно
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
обязательно
ARM ID of the storage account to use.
credential
SasCredential
обязательно
SAS Credential definition
sasUri
string
обязательно
SAS uri
type
enum
обязательно
Type of credential
Запрос
POST /models/{name}/versions/{version}/credentials HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json